#ifndef IRCUTILITIES_H
#define IRCUTILITIES_H

#include <string>
#include <algorithm>

constexpr char CTCPflag { 0x01 };

std::pair<std::string,std::string> FormatCTCPLine(std::string line);
bool singleWildcardMatch(const std::string& str, const std::string& wc);
std::string longIpToNormal(const std::string& longip);
std::string normalIpToLong(const std::string& normalip);

#endif //IRCUTILITIES_H
