#include "RegisterScriptFunctions.h"
#include "Script/Script.h"

#include "ScriptGeneralUtils.h"
#include "ScriptIRCUtils.h"

void registerScriptFunctions()
{
	/*
	 * General utilities
	*/
	Script::registerUniversalFunction("input", &ScriptFunctions::input);
	Script::registerUniversalFunction("showmessage", &ScriptFunctions::showmessage);
	Script::registerUniversalFunction("context", &ScriptFunctions::context);
	Script::registerUniversalFunction("unixts", &ScriptFunctions::unixts);
	Script::registerUniversalFunction("unixnow", &ScriptFunctions::unixnow);
	Script::registerUniversalFunction("now", &ScriptFunctions::now);

	/*
	 * IRC utilities
	*/
	Script::registerUniversalFunction("userhost", &ScriptFunctions::userhost);
	Script::registerUniversalFunction("isupport", &ScriptFunctions::isupport);
}
